Cantera 2.6.0

Public Member Functions | Protected Attributes | List of all members
Application::Messages Class Reference

Class to carry out messages. More...

`#include <application.h>`

## Public Member Functions
| Messages (const Messages &r)=delete
Messages & | operator= (const Messages &r)=delete
void | addError (const std::string &r, const std::string &msg="")
| Set an error condition in the application class without throwing an exception. More...
int | getErrorCount ()
| Return the number of errors that have been encountered so far. More...
void | popError ()
| Discard the last error message. More...
std::string | lastErrorMessage ()
| Retrieve the last error message in a string. More...
void | getErrors (std::ostream &f)
| Prints all of the error messages to an ostream. More...
void | logErrors ()
| Prints all of the error messages using writelog. More...
void | writelog (const std::string &msg)
| Write a message to the screen. More...
void | writelogendl ()
| Write an end of line character to the screen and flush output. More...
void | warnlog (const std::string &warning, const std::string &msg)
| Write a warning message to the screen. More...
void | setLogger (Logger *logwriter)
| Install a logger. More...

## Protected Attributes
std::vector< std::string > | errorMessage
| Current list of error messages. More...
std::unique_ptr< Logger > | logwriter
| Current pointer to the logwriter. More...

## Detailed Description

Class to carry out messages.

Definition at line 50 of file application.h.

## Constructor & Destructor Documentation

## ◆ Messages()

Messages | ( |  | ) |

Definition at line 59 of file application.cpp.

## Member Function Documentation

## ◆ writelogendl()

void writelogendl | ( |  | ) |

Write an end of line character to the screen and flush output.

Definition at line 95 of file application.cpp.

Referenced by Application::writelogendl().

## Member Data Documentation

## ◆ errorMessage

std::vector<std::string> errorMessage
| protected

Current list of error messages.

Definition at line 161 of file application.h.

Referenced by Application::Messages::popError().

## ◆ logwriter

std::unique_ptr<Logger> logwriter
| protected

Current pointer to the logwriter.

Definition at line 164 of file application.h.

The documentation for this class was generated from the following files:

- application.h
- application.cpp